Deployments
Add a deployment to a model
POST
/
v1
/
models
/
{model_id}
/
deployments
cURL
curl --request POST \
--url https://api.baseten.co/v1/models/{model_id}/deployments \
--header "Authorization: Bearer $BASETEN_API_KEY" \
--data '{
"source": null
}'import requests
import os
API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
url = "https://api.baseten.co/v1/models/{model_id}/deployments"
headers = {"Authorization": f"Bearer {API_KEY}"}
response = requests.request(
"POST",
url,
headers=headers,
json={'source': None}
)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {
deployment: {
config: {},
raw_config: '<string>',
user_env: {},
environment_name: '<string>',
preserve_env_instance_type: true,
deploy_timeout_minutes: 123,
deployment_name: '<string>',
labels: {},
is_development: false
},
s3_key: '<string>',
kind: 'model_archive'
}
})
};
fetch('https://api.baseten.co/v1/models/{model_id}/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"deployments_count": 123,
"production_deployment_id": "<string>",
"development_deployment_id": "<string>",
"instance_type_name": "<string>",
"team_name": "<string>"
},
"deployment": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"model_id": "<string>",
"is_production": true,
"is_development": true,
"active_replica_count": 123,
"autoscaling_settings": {
"min_replica": 123,
"max_replica": 123,
"autoscaling_window": 123,
"scale_down_delay": 123,
"concurrency_target": 123,
"target_utilization_percentage": 123,
"target_in_flight_tokens": 123,
"max_scale_down_rate": 123
},
"instance_type_name": "<string>",
"environment": "<string>",
"labels": {}
}
}Authorizations
Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.
Path Parameters
Body
application/json
Body for adding a deployment to an existing model via
POST /v1/models/{model_id}/deployments.
Where the new deployment is created from.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
